Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentgetdoctype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentgetdoctype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getDoctype()" method returns the Document Type Declaration associated with this document. Retrieve the entire DOM document and invoke its "getDoctype()" method. The name of the document type should be returned. The "getName()" method should be equal to "staff".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-B63ED1A31 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080

Definition at line 45 of file documentgetdoctype.java.

## Constructor & Destructor Documentation

documentgetdoctype::documentgetdoctype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file documentgetdoctype.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String documentgetdoctype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 66 of file documentgetdoctype.java.
    00066                                 {
    00067       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentgetdoctype";
    00068    }

void documentgetdoctype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 69 of file documentgetdoctype.java. References DOMTestCase::doMain().
    00069                                           {
    00070         DOMTestCase.doMain(documentgetdoctype.class,args);
    00071    }

void documentgetdoctype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file documentgetdoctype.java. References DOMTestCase::assertEquals(), DOMTestCase::assertNull(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       DocumentType docType;
    00056       String docTypeName;
    00057       String nodeValue;
    00058       doc = load("staff");
    00059       docType = doc.getDoctype();
    00060       docTypeName = docType.getName();
    00061       assertEquals("documentGetDocTypeAssert","staff",docTypeName);
    00062       nodeValue = docType.getNodeValue();
    00063       assertNull("initiallyNull",nodeValue);
    00064
    00065    }

The documentation for this class was generated from the following file:

- documentgetdoctype.java